Name: 		pioneers
Summary: 	Playable implementation of the Settlers of Catan 
Version: 	0.9.19
Release: 	1
Group: 		Amusements/Games
License: 	GPL
Url: 		http://pio.sourceforge.net/
Packager: 	Steve Langasek <vorlon@dodds.net>
Source: 	http://prdownloads.sourceforge.net/pio/pioneers-0.9.19.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root

%description 
Pioneers is an Internet playable implementation of the Settlers of
Catan board game.  The aim is to remain as faithful to the board game
as is possible.

%package 	client
Summary: 	Pioneers Client
Group: 		Amusements/Games

%description 	client
Pioneers is an Internet playable implementation of the Settlers of
Catan board game.  The aim is to remain as faithful to the board game
as is possible.

This is the client software to play the game.

%package 	help
Summary: 	Pioneers Help
Group: 		Amusements/Games

%description 	help
Pioneers is an Internet playable implementation of the Settlers of
Catan board game.  The aim is to remain as faithful to the board game
as is possible.

This package contains the help files.

%package 	ai
Summary:	Pioneers AI Player
Group:		Amusements/Games
%description 	ai
Pioneers is an Internet playable implementation of the Settlers of
Catan board game.  The aim is to remain as faithful to the board game
as is possible.

This package contains a computer player that can take part in Pioneers games.

%package 	server-console
Summary:	Pioneers Console Server
Group:		Amusements/Games
Requires:	pioneers-server-data
%description 	server-console
Pioneers is an Internet playable implementation of the Settlers of
Catan board game.  The aim is to remain as faithful to the board game
as is possible.

%package 	server-gtk
Summary:	Pioneers GTK Server
Group:		Amusements/Games
Requires:	pioneers-server-data
%description 	server-gtk
Pioneers is an Internet playable implementation of the Settlers of
Catan board game.  The aim is to remain as faithful to the board game
as is possible.

The server has a user interface in which you can customise the game
parameters.  Customisation is fairly limited at the moment, but this
should change in later versions.  Once you are happy with the game
parameters, press the Start Server button, and the server will start
listening for client connections.

%package 	server-data
Summary: 	Pioneers Data
Group: 		Amusements/Games

%description 	server-data
Pioneers is an Internet playable implementation of the Settlers of
Catan board game.  The aim is to remain as faithful to the board game
as is possible.

This package contains the data files for a game server.

%package 	meta-server
Summary:	Pioneers Meta Server
Group:		Amusements/Games
Requires:	pioneers-server-console
%description 	meta-server
Pioneers is an Internet playable implementation of the Settlers of
Catan board game.  The aim is to remain as faithful to the board game
as is possible.

The meta server registers available game servers and offers them to new
players. It can also create new servers on client request.

%package	editor
Summary:	Pioneers Game Editor
Group:		Amusements/Games
Requires:	pioneers-client, pioneers-server-data
%description	editor
Pioneers is an Internet playable implementation of the Settlers of
Catan board game.  The aim is to remain as faithful to the board game
as is possible.

The game editor allows maps and game descriptions to be created and edited
graphically.

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh --prefix=/usr
make

%install
rm -rf $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT/usr
rm -rf $RPM_BUILD_ROOT/usr/var/scrollkeeper

%clean
rm -rf $RPM_BUILD_ROOT

%files client
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README NEWS 
%doc /usr/man/man6/pioneers.6.gz
%{_bindir}/pioneers
%{_datadir}/gnome/apps/Games/pioneers.desktop
%{_datadir}/pixmaps/gnome-pioneers.png
%{_datadir}/pixmaps/pioneers/*
%{_datadir}/games/pioneers/themes/*
%{_datadir}/locale/es/LC_MESSAGES/pioneers.mo
%{_datadir}/locale/de/LC_MESSAGES/pioneers.mo
%{_datadir}/locale/fr/LC_MESSAGES/pioneers.mo
%{_datadir}/locale/it/LC_MESSAGES/pioneers.mo
%{_datadir}/locale/nl/LC_MESSAGES/pioneers.mo

%files help
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README NEWS
%{_datadir}/gnome/help/pioneers/C/*.xml
%{_datadir}/gnome/help/pioneers/C/images/*
%{_datadir}/omf/pioneers/pioneers-C.omf

%post help
if which scrollkeeper-update>/dev/null 2>&1; then scrollkeeper-update -q -o %{_datadir}/omf/pioneers; fi

%postun help
if which scrollkeeper-update>/dev/null 2>&1; then scrollkeeper-update -q; fi

%files ai
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README NEWS 
%doc /usr/man/man6/pioneersai.6.gz
%{_bindir}/pioneersai
%{_datadir}/games/pioneers/computer_names

%files server-console
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README NEWS 
%doc /usr/man/man6/pioneers-server-console.6.gz
%{_bindir}/pioneers-server-console

%files server-gtk
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README NEWS 
%doc /usr/man/man6/pioneers-server-gtk.6.gz
%{_bindir}/pioneers-server-gtk
%{_datadir}/gnome/apps/Games/pioneers-server.desktop

%files server-data
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README NEWS 
%{_datadir}/games/pioneers/*.game

%files meta-server
%defattr(-,root,root)
%doc /usr/man/man6/pioneers-meta-server.6.gz
%doc AUTHORS COPYING ChangeLog INSTALL README NEWS 
%{_bindir}/pioneers-meta-server

%files editor
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README NEWS 
%{_bindir}/pioneers-editor

